#### Useful macros
# Attempt to avoid disaster
%define clean_build_root if test -O "%{buildroot}" -a "%{buildroot}" != "/" -a "%{buildroot}" != "$HOME"; then %{__rm} -rf %{buildroot}; fi
# To delete directory where compilation takes place
%define clean_build_dir %{__rm} -rf %{buildsubdir}

#### Header variables
%define name FSlint
%define version 2.02
%define release 1
%define serial 1

#### Header
Summary: FSlint - a utility to find and clean "lint" on a filesystem.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL2
Group: Applications/File Tools
Vendor: Pdraig Brady (P@draigBrady.com)
#Packager: %packager
Url: http://www.pixelbeat.org/fslint/
Source: %{name}-%{version}.tar.gz
Prefix: %{_prefix}
#Note coreutils provides textutils on redhat 8.1 and up
Requires: python >= 2.0, pygtk2, pygtk2-libglade, textutils >= 2.0.21, gettext >= 0.11.1
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#### Description
%description
FSlint is a utility to find and clean "lint" on a filesystem. It is written in Python, using pyGtk and libGlade.

#### Prep
%prep
%setup -q

#### Build
%build
# Nothing to do

#### Install
%install
%clean_build_root
mkdir -p %{buildroot}%{_bindir}
cp -a FSlint %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -a fslint_icon.png %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
cp -a fslint.desktop %{buildroot}%{_sysconfdir}/X11/applnk/System
mkdir -p %{buildroot}%{_datadir}/%{name}/fslint/{fstool,rmlint}
cp -a fslint.glade %{buildroot}%{_datadir}/%{name}
cp -a fslint/{find*,fsl*,get*,zipdir} %{buildroot}%{_datadir}/%{name}/fslint
cp -a fslint/fstool/* %{buildroot}%{_datadir}/%{name}/fslint/fstool
cp -a fslint/rmlint/* %{buildroot}%{_datadir}/%{name}/fslint/rmlint
cd po && make DESTDIR=%{buildroot} DATADIR=%{_datadir} install

#### Clean
%clean
%clean_build_root
%clean_build_dir

#### Pre
%pre
rm -f %{_datadir}/%{name}/fslint_icon.png

#### Post
%post
python_site=`python -c "import sys ; print '%s/lib/python%s/site-packages' % (sys.exec_prefix,sys.version[:3])"`
mkdir -p $python_site/%{name}
echo "liblocation = '%{_datadir}/%{name}'" > $python_site/%{name}/__init__.py
ln -f %{_datadir}/pixmaps/fslint_icon.png %{_datadir}/%{name}/fslint_icon.png

#### Pre Uninstall
%preun

#### Post Uninstall
%postun
if [ "$1" == "0" ]; then #full
    python_site=`python -c "import sys ; print '%s/lib/python%s/site-packages' % (sys.exec_prefix,sys.version[:3])"`
    rm -Rf $python_site/%{name}
fi

#### Files
%files
%defattr(-, root, root)
%doc doc/*
%{_bindir}/*
%{_datadir}/%{name}/*
%{_sysconfdir}/X11/applnk/System/fslint.desktop
%{_datadir}/pixmaps/fslint_icon.png
%{_datadir}/locale/*

#### Changelog
%changelog

* Tue Jul 08 2003 Pdraig Brady
- Added translation files

* Thu Jan 16 2003 Pdraig Brady
- Changes for gnome2 (redhat 8.x)
- Make install really independent of python version, previously it
  (even though I thought I handled it correctly) assumed the same python
  version as the rpm build machine

* Thu Dec 16 2002 Pdraig Brady
- First incarnation
